
package de.ivu.elect.presentation.wahlvorschlagsperson.action;

import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;
import de.ivu.elect.presentation.wahlvorschlagsperson.AufstellungsversammlungMitunterzeichnerEditView;

public class AufstellungsversammlungMitunterzeichnerEditAction extends AbstractWahlvorschlagsPersonEditAction {

  private static final long serialVersionUID = 1L;

  public AufstellungsversammlungMitunterzeichnerEditAction() {
    super();
  }

  @Override
  protected boolean isWahlvorschlagsPersonTypApplicable(WahlvorschlagsPersonTyp wahlvorschlagsPersonTyp) {
    return WahlvorschlagsPersonTyp.AUFSTELLUNGSVERSAMMLUNG_MITUNTERZEICHNER.equals(wahlvorschlagsPersonTyp)
        || WahlvorschlagsPersonTyp.AUFSTELLUNGSVERSAMMLUNG_LEITER.equals(wahlvorschlagsPersonTyp);
  }

  @Override
  protected String getTargetViewId() {
    return AufstellungsversammlungMitunterzeichnerEditView.VIEW_ID;
  }
}
